ChangeSet 1.1276.22.38, 2003/08/22 16:53:05-07:00, cat@zip.com.au

[PATCH] USB: C99: 2.6.0-t3-bk7/Documentation


 Documentation/DocBook/writing_usb_driver.tmpl |   12 ++++++------
 Documentation/usb/hotplug.txt                 |   14 +++++++-------
 2 files changed, 13 insertions(+), 13 deletions(-)


diff -Nru a/Documentation/DocBook/writing_usb_driver.tmpl b/Documentation/DocBook/writing_usb_driver.tmpl
--- a/Documentation/DocBook/writing_usb_driver.tmpl	Tue Sep  2 12:45:44 2003
+++ b/Documentation/DocBook/writing_usb_driver.tmpl	Tue Sep  2 12:45:44 2003
@@ -111,12 +111,12 @@
   </para>
   <programlisting>
 static struct usb_driver skel_driver = {
-        name:        "skeleton",
-        probe:       skel_probe,
-        disconnect:  skel_disconnect,
-        fops:        &amp;skel_fops,
-        minor:       USB_SKEL_MINOR_BASE,
-        id_table:    skel_table,
+        .name        = "skeleton",
+        .probe       = skel_probe,
+        .disconnect  = skel_disconnect,
+        .fops        = &amp;skel_fops,
+        .minor       = USB_SKEL_MINOR_BASE,
+        .id_table    = skel_table,
 };
   </programlisting>
   <para>
diff -Nru a/Documentation/usb/hotplug.txt b/Documentation/usb/hotplug.txt
--- a/Documentation/usb/hotplug.txt	Tue Sep  2 12:45:44 2003
+++ b/Documentation/usb/hotplug.txt	Tue Sep  2 12:45:44 2003
@@ -122,17 +122,17 @@
 something like this:
 
     static struct usb_driver mydriver = {
-	name:		"mydriver",
-	id_table:	mydriver_id_table,
-	probe:		my_probe,
-	disconnect:	my_disconnect,
+	.name		= "mydriver",
+	.id_table	= mydriver_id_table,
+	.probe		= my_probe,
+	.disconnect	= my_disconnect,
 
 	/*
 	if using the usb chardev framework:
-	    minor:		MY_USB_MINOR_START,
-	    fops:		my_file_ops,
+	    .minor		= MY_USB_MINOR_START,
+	    .fops		= my_file_ops,
 	if exposing any operations through usbdevfs:
-	    ioctl:		my_ioctl,
+	    .ioctl		= my_ioctl,
 	*/
     }
 
